complexType "Acknowledgement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 13 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, originalMessage?, (party*, account*)?
</...>

Content Model Elements (9):

  account, correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), originalMessage (defined in Acknowledgement complexType), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (13):

  collateralAcceptanceAcknowledgement, creditEventAcknowledgement, disputeAcknowledgement, eventActivityReportAcknowledgement, exposureReportAcknowledgement, marginAcknowledgement, nettedTradeCashflowsAcknowledgement, partyReportAcknowledgement, positionActivityReportAcknowledgement, positionReportAcknowledgement, resetReportAcknowledgement, terminatingEventsReportAcknowledgement, valuationReportAcknowledgement

Known Usage Locations

- As direct type of elements (13):
  collateralAcceptanceAcknowledgement, creditEventAcknowledgement, disputeAcknowledgement, eventActivityReportAcknowledgement, exposureReportAcknowledgement, marginAcknowledgement, nettedTradeCashflowsAcknowledgement, partyReportAcknowledgement, positionActivityReportAcknowledgement, positionReportAcknowledgement, resetReportAcknowledgement, terminatingEventsReportAcknowledgement, valuationReportAcknowledgement

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) Acknowledgement

XML Source (see within schema source)

<xsd:complexType name="Acknowledgement"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="originalMessage" type="UnprocessedElementWrapper"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
originalMessage

  Type: | UnprocessedElementWrapper, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originalMessage" type="UnprocessedElementWrapper"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.